    Model the attenuation by the Inter-Stellar Medium (ISM).

atten

This model calculates the transmission of the interstellar medium using the description of the ISM absorption of [1] . It includes neutral He autoionization features. Between 1.2398 and 43.655 Angstroms (i.e. in the 0.28-10 keV range) the model also accounts for metals as described in [2] . It should only be used when the independent axis has units of Angstroms.

>>> create_model_component("atten", "mdl")
>>> print(mdl)

Create a component of the atten model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.hcol thawed 1e+20 1e+17 1e+24 mdl.heiRatio thawed 0.1 0 1 mdl.heiiRatio thawed 0.01 0 1

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
hcol
The column density of HI in atoms cm^-2.
heiRatio
The ratio of the HeI to HI column densities.
heiiRatio
The ratio of the HeII to HI column densities.

Notes

The code uses the best available photoionization cross-sections to date from the atomic data literature and combines them in an arbitrary mixture of the three ionic species: HI, HeI, and HeII.

This model provided courtesy of Pat Jelinsky.

The grid version is evaluated by numerically intgerating the function over each bin using a non-adaptive Gauss-Kronrod scheme suited for smooth functions [3] , falling over to a simple trapezoid scheme if this fails.

References

[1] Rumph, Bowyer, & Vennes 1994, AJ 107, 2108 http://adsabs.harvard.edu/abs/1994AJ....107.2108R
[2] Morrison & McCammon 1983, ApJ 270, 119 http://adsabs.harvard.edu/abs/1983ApJ...270..119M
[3] https://www.gnu.org/software/gsl/manual/html_node/QNG-non_002dadaptive-Gauss_002dKronrod-integration.html

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023